HORIZON-PRJ(1)

NAME
horizon-prj - create empty boards and schematics for horizon EDA

SYNOPSIS
horizon-prj create-block <block file> | create-constraints <constraint file> | create-schematic <schematic file> <block file> | create-board <schematic file> <block file> |

DESCRIPTION
This manual page documents the horizon-prj command.

horizon-prj lets you create empty blocks, constraints, schematics and boards.

OPTIONS
Details of options are included below.

create-block <block file>

create-constraints <constraint file>

create-schematic <schematic file> <block file>

create-board <schematic file> <block file>

USAGE
Use this command to create empty blocks, constraints, schematics and board. There is normally little reason to run this command directly. Normally horizon-prj-mgr will do it as required

ENVIRONMENT
This command requires the environment variable HORIZON_POOL to point to the pool's directory (the one with the pool.json and pool.db in it)